%global packname RInside

Name:		R-%{packname}
Version:	0.2.18
Release:    2%{?dist}
Summary:	C++ Classes to Embed R in C++ (and C) Applications

License:	GPL-2.0-or-later
URL:		https://cran.r-project.org/package=%{packname}
Source0:	%{url}&version=%{version}#/%{packname}_%{version}.tar.gz
Patch0:		%{name}-LdFlags.patch

BuildRequires:	R-core-devel
BuildRequires:	R-Rcpp-devel
BuildRequires:	tex(latex)
BuildRequires:	tex(inconsolata.sty)

BuildRequires:	R-rpm-macros

%description
The RInside packages makes it easier to have "R inside" your C++
application by providing a C++ wrapper class providing the R
interpreter.

%package devel
Summary:	RInside Development Files
Requires:	%{name} = %{version}-%{release}
Requires:	R-core-devel
Requires:	R-Rcpp-devel

%description devel
Header files for RInside.

%package examples
Summary:	RInside Examples
Requires:	%{name} = %{version}-%{release}

%description examples
Numerous examples are provided in the nine sub-directories of the
examples directory of the installed package: standard, mpi (for
parallel computing), qt (showing how to embed RInside inside a Qt GUI
application), wt (showing how to build a "web-application" using the
Wt toolkit), armadillo (for RInside use with RcppArmadillo), eigen
(for RInside use with RcppEigen) and 'c_interface' for a basic C
interface and 'Ruby' illustration.

%prep
%setup -q -c
%patch -P 0 -p0

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l %{buildroot}%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
rm -rf %{packname}/inst/lib

rm %{buildroot}%{_libdir}/R/library/%{packname}/lib/lib%{packname}.a
mv %{buildroot}%{_libdir}/R/library/%{packname}/lib/lib%{packname}.so \
   %{buildroot}%{_libdir}
rmdir %{buildroot}%{_libdir}/R/library/%{packname}/lib

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/NEWS.Rd
%doc %{_libdir}/R/library/%{packname}/THANKS
%doc %{_libdir}/R/library/%{packname}/html
%{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/lib%{packname}.so

%files devel
%{_libdir}/R/library/%{packname}/include

%files examples
%{_libdir}/R/library/%{packname}/examples

%changelog
* Wed Sep 04 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.18-2
- bump version

* Mon Sep 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.18-1
- initial build
